Subject: Re: bug#23776: Perl's .pod files include timestamps, making Perl package builds non-deterministic

From: [email-masked] (Ludovic Courtès)
Date: Sat, 30 Jul 2016 11:28:15 +0200

Leo Famulari <[email-masked]> skribis:

> On Sun, Jun 19, 2016 at 01:31:54PM -0400, Leo Famulari wrote:
>> I noticed that Pod::Man is supposed to respect SOURCE_DATE_EPOCH, as of
>> the upstream module version 4.03 (released 2015-12-06). Does anyone know
>> how to check the version of the module bundled into perl?
>
> In Perl 5.24.0, the integrated podlators module was upgraded from 2.28
> from 4.0.7 [0].
>
> AIUI, changing perl-build-system will require rebuilding all Perl
> packages. If so, how about updating Perl to 5.24.0 instead of changing
> the build system?
>
> Do Perl updates tend to break a lot of Perl packages? If so, changing
> the build system and rebuilding might be done sooner than a Perl update,
> since this change seems unlikely to break any packages.

Sorry for the super late reply.  I think we’ll have to update at some
point, so what about doing that in core-updates-next?

Thanks,
Ludo’.